## pqiv 0.9

=== Makefile ===
# Makefile for pqiv
#
# Dynamic settings (changed by configure script)
DESTDIR="/"
PREFIX="/usr"
OPTIONFLAGS= lib/strnatcmp.c      
BINARY_NAME="qiv"

# Fixed settings
REQUIRED_PACKAGES=gtk+-2.0 gthread-2.0 pango glib-2.0
SHELL=bash
PACKAGE_VERSION:=$(shell awk '/RELEASE/ {print $$3}' pqiv.c | tr -d \" | head -n1)$(SUFFIX)

# pqiv
all: pqiv manpage
pqiv: 
	$(CC) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o qiv
debug: 
	$(CC) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` -Wall -ggdb -DDEBUG `pkg-config --libs $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -o qiv pqiv.c

# The manpage stuff is kind of hackish, but it seems that I can't rely on the C
# preprocessor (drac from gentoo reported "missing terminating ' character"
# error messages).
# The shell script strips code between '.\" unless FOO' and '.\" end' if FOO is
# defined. It's compatible with sh in POSIX mode.
manpage:
	@( IN=0; while read -r LINE; do \
		if [ "$${IN}" == "1" ]; then \
			if echo "$${LINE}" | egrep -q '.\" end'; then IN=0; continue; fi; \
			[ "$${MAT}" != "1" ] && echo "$${LINE}"; \
			continue; \
		fi; \
		REQ=$$(echo "$${LINE}" | egrep '.\" unless ' | awk '{print $$3}'); \
		[ "$${REQ}" == "" ] && { echo "$${LINE}"; continue; }; \
		MAT=$$(echo "$(OPTIONFLAGS)" | grep -q -- "-D$${REQ}" && echo 1;); \
		if [ "$${MAT}" == "1" ]; then ACT=Stripping; else ACT=Ignoring; fi; \
		echo "$${ACT} $${REQ}" >&2; \
		IN=1; \
	done < pqiv.1.template ) | sed -e 's/$$PACKAGE_VERSION/$(PACKAGE_VERSION)/' -e 's/$$BINARY_NAME/$(BINARY_NAME)/' > qiv.1

# Cleanup
clean:
	rm -f qiv qiv.1

# Installation and uninstallation
install:
	install -D qiv $(DESTDIR)$(PREFIX)/bin/$(BINARY_NAME)
	install -D qiv.1 $(DESTDIR)$(PREFIX)/share/man/man1/$(BINARY_NAME).1
uninstall:
	rm $(DESTDIR)$(PREFIX)/bin/$(BINARY_NAME)
	rm $(DESTDIR)$(PREFIX)/share/man/man1/$(BINARY_NAME).1
mininstall:
	install -Ds qiv /usr/local/bin

# Package generation
package: 
	mkdir pqiv-$(PACKAGE_VERSION)/
	cp -r lib *.c pqiv.1.template gpl.txt configure Makefile README pqiv-$(PACKAGE_VERSION)/
	tar cjf pqiv-$(PACKAGE_VERSION).tbz pqiv-$(PACKAGE_VERSION)/
	rm -rf pqiv-$(PACKAGE_VERSION)
deb:
	mkdir deb-pqiv-$(PACKAGE_VERSION)/
	install -D qiv deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/bin/$(BINARY_NAME)
	install -D qiv.1 deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/share/man/man1/$(BINARY_NAME).1
	mkdir deb-pqiv-$(PACKAGE_VERSION)/DEBIAN
	(echo -e "Package: pqiv\nVersion: $(PACKAGE_VERSION)\nSection: graphics\nPriority: optional"; \
	 echo -ne "Architecture: "; uname -m | sed -e 's/686/386/'; echo -e "Essential: no"; \
	 echo -e "Depends: libgtk2.0-0 (>= 2.12.0), libglib2.0-0 (>= 2.12.0)"; \
	 echo -ne "Installed-Size: "; du -s 'deb-pqiv-$(PACKAGE_VERSION)' | awk '{print $$1}'; \
	 echo -e "Maintainer: Phillip Berndt <mail at pberndt.com>\nConflicts: qiv"; \
	 echo -e "Description: A minimalistic graphics viewer.\n Modern rewrite of qiv using gtk+-2.0"; \
	 ) > deb-pqiv-$(PACKAGE_VERSION)/DEBIAN/control
	dpkg -b deb-pqiv-$(PACKAGE_VERSION) pqiv-$(PACKAGE_VERSION).deb
	rm -rf deb-pqiv-$(PACKAGE_VERSION)/

## pqiv 0.10.1

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,16 @@
 REQUIRED_PACKAGES=gtk+-2.0 gthread-2.0 pango glib-2.0
 SHELL=bash
 PACKAGE_VERSION:=$(shell awk '/RELEASE/ {print $$3}' pqiv.c | tr -d \" | head -n1)$(SUFFIX)
+OPTIONFLAGS+=-DBINARY_NAME='$(BINARY_NAME)'
 
 # pqiv
 all: pqiv manpage
 pqiv: 
-	$(CC) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o qiv
-debug: 
-	$(CC) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` -Wall -ggdb -DDEBUG `pkg-config --libs $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -o qiv pqiv.c
+	$(CC) $(LDFLAGS) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
+debug:
+	$(CC) $(LDFLAGS) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -Wall -ggdb pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
+vdebug: 
+	$(CC) $(LDFLAGS) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` -Wall -ggdb -DDEBUG `pkg-config --libs $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -o pqiv pqiv.c
 
 # The manpage stuff is kind of hackish, but it seems that I can't rely on the C
 # preprocessor (drac from gentoo reported "missing terminating ' character"
@@ -36,21 +39,21 @@
 		if [ "$${MAT}" == "1" ]; then ACT=Stripping; else ACT=Ignoring; fi; \
 		echo "$${ACT} $${REQ}" >&2; \
 		IN=1; \
-	done < pqiv.1.template ) | sed -e 's/$$PACKAGE_VERSION/$(PACKAGE_VERSION)/' -e 's/$$BINARY_NAME/$(BINARY_NAME)/' > qiv.1
+	done < pqiv.1.template ) | sed -e 's/$$PACKAGE_VERSION/$(PACKAGE_VERSION)/' -e 's/$$BINARY_NAME/$(BINARY_NAME)/' > pqiv.1
 
 # Cleanup
 clean:
-	rm -f qiv qiv.1
+	rm -f pqiv pqiv.1
 
 # Installation and uninstallation
 install:
-	install -D qiv $(DESTDIR)$(PREFIX)/bin/$(BINARY_NAME)
-	install -D qiv.1 $(DESTDIR)$(PREFIX)/share/man/man1/$(BINARY_NAME).1
+	install -D pqiv $(DESTDIR)$(PREFIX)/bin/$(BINARY_NAME)
+	install -D pqiv.1 $(DESTDIR)$(PREFIX)/share/man/man1/$(BINARY_NAME).1
 uninstall:
 	rm $(DESTDIR)$(PREFIX)/bin/$(BINARY_NAME)
 	rm $(DESTDIR)$(PREFIX)/share/man/man1/$(BINARY_NAME).1
 mininstall:
-	install -Ds qiv /usr/local/bin
+	install -Ds pqiv /usr/local/bin/$(BINARY_NAME)
 
 # Package generation
 package: 
@@ -60,8 +63,8 @@
 	rm -rf pqiv-$(PACKAGE_VERSION)
 deb:
 	mkdir deb-pqiv-$(PACKAGE_VERSION)/
-	install -D qiv deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/bin/$(BINARY_NAME)
-	install -D qiv.1 deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/share/man/man1/$(BINARY_NAME).1
+	install -D pqiv deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/bin/$(BINARY_NAME)
+	install -D pqiv.1 deb-pqiv-$(PACKAGE_VERSION)/$(PREFIX)/share/man/man1/$(BINARY_NAME).1
 	mkdir deb-pqiv-$(PACKAGE_VERSION)/DEBIAN
 	(echo -e "Package: pqiv\nVersion: $(PACKAGE_VERSION)\nSection: graphics\nPriority: optional"; \
 	 echo -ne "Architecture: "; uname -m | sed -e 's/686/386/'; echo -e "Essential: no"; \

## pqiv 0.11

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Dynamic settings (changed by configure script)
 DESTDIR="/"
 PREFIX="/usr"
-OPTIONFLAGS= lib/strnatcmp.c      
-BINARY_NAME="qiv"
+OPTIONFLAGS= lib/strnatcmp.c       
+BINARY_NAME="pqiv"
 
 # Fixed settings
 REQUIRED_PACKAGES=gtk+-2.0 gthread-2.0 pango glib-2.0
@@ -14,11 +14,11 @@
 
 # pqiv
 all: pqiv manpage
-pqiv: 
+pqiv: pqiv.c
 	$(CC) $(LDFLAGS) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
-debug:
+debug: pqiv.c
 	$(CC) $(LDFLAGS) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -Wall -ggdb pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
-vdebug: 
+vdebug: pqiv.c
 	$(CC) $(LDFLAGS) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` -Wall -ggdb -DDEBUG `pkg-config --libs $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -o pqiv pqiv.c
 
 # The manpage stuff is kind of hackish, but it seems that I can't rely on the C

## pqiv 0.12

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 debug: pqiv.c
 	$(CC) $(LDFLAGS) $(CFLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -Wall -ggdb pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
 vdebug: pqiv.c
-	$(CC) $(LDFLAGS) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` -Wall -ggdb -DDEBUG `pkg-config --libs $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -o pqiv pqiv.c
+	$(CC) $(LDFLAGS) $(CGLAGS) `pkg-config --cflags $(REQUIRED_PACKAGES)` $(OPTIONFLAGS) -Wall -ggdb -DDEBUG pqiv.c `pkg-config --libs $(REQUIRED_PACKAGES)` -o pqiv
 
 # The manpage stuff is kind of hackish, but it seems that I can't rely on the C
 # preprocessor (drac from gentoo reported "missing terminating ' character"
@@ -58,7 +58,7 @@
 # Package generation
 package: 
 	mkdir pqiv-$(PACKAGE_VERSION)/
-	cp -r lib *.c pqiv.1.template gpl.txt configure Makefile README pqiv-$(PACKAGE_VERSION)/
+	cp -r lib *.c pqiv.1.template gpl.txt configure Makefile README.markdown pqiv-$(PACKAGE_VERSION)/
 	tar cjf pqiv-$(PACKAGE_VERSION).tbz pqiv-$(PACKAGE_VERSION)/
 	rm -rf pqiv-$(PACKAGE_VERSION)
 deb:

=== debian/changelog ===
pqiv (0.12-1) unstable; urgency=low

  * New upstream release.  Closes: #592291.
  * Switch to dpkg-source 3.0 (quilt) format, debhelper 9, no cdbs.
  * debian/patches/01_not_qiv.diff: Removed.  Was already disabled.
  * debian/patches/02_unsupported.diff: Applied and removed.
  * debian/patches/04_glib_include.diff: Removed.  Now in upstream.
  * debian/patches/05_keypad.diff: Removed.  Now in upstream.
  * debian/watch: Updated to new download location.

 -- Bart Martens <bartm@debian.org>  Fri, 18 May 2012 12:41:18 +0000

pqiv (0.11-2) unstable; urgency=low

  * debian/patches/04_glib_include.diff: Closes: #665599.
  * debian/patches/05_keypad.diff: Closes: #671401.
  * debian/patches/03_binary_name.diff: Now simply using "pqiv" instead of
    "BINARY_NAME", and incrementing the 13th position instead of the 12th.
    Closes: #620370.

 -- Bart Martens <bartm@debian.org>  Sun, 06 May 2012 16:17:18 +0000

pqiv (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Thu, 01 Jul 2010 12:24:44 +0000

pqiv (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/03_binary_name.diff: Edited to fit new upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 11 Oct 2009 12:05:40 +0200

pqiv (0.9-1) unstable; urgency=low

  * New upstream release.
  * To keep using the binary name pqiv:
    + debian/patches/01_not_qiv.diff: Disabled.
    + debian/rules: Use --binary-name=pqiv.
    + debian/patches/03_binary_name.diff: Added.

 -- Bart Martens <bartm@debian.org>  Tue, 19 May 2009 16:48:21 +0200

pqiv (0.8-2) unstable; urgency=low

  * debian/patches/02_unsupported.diff: Added.  Patches debian/pqiv.mime
    to remove rgb and fits.  Closes: #529000.

 -- Bart Martens <bartm@debian.org>  Mon, 18 May 2009 13:31:21 +0200

pqiv (0.8-1) unstable; urgency=low

  * Initial release in Debian.  Closes: #524578.
  * debian/patches/01_not_qiv.diff: Added to avoid the name "qiv".
  * debian/pqiv.mime: Copied from qiv, updated to use "pqiv" instead.

 -- Bart Martens <bartm@debian.org>  Sat, 18 Apr 2009 00:06:55 +0200

=== debian/control ===
Source: pqiv
Section: graphics
Priority: extra
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, autotools-dev
Standards-Version: 3.9.3
Homepage: http://www.pberndt.com/Programme/Linux/pqiv/

Package: pqiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight image viewer
 Pretty Quick Image Viewer (pqiv) is a small and pretty fast image viewer.
 Features include: fullscreen, slideshow, rotate, flip, zoom, transparancy,
 fade between images, ... and (mostly) all the features from the original
 Quick Image Viewer (qiv).

=== debian/watch ===
version=3
https://github.com/phillipberndt/pqiv/downloads .*/pqiv-(.*)\.tbz$

## pqiv 2.1.1

=== debian/changelog ===
pqiv (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/03_binary_name.diff: Removed, now in upstream.
  * debian/patches/05_ldflags.diff: Removed, now in upstream.

 -- Bart Martens <bartm@debian.org>  Tue, 21 Jan 2014 08:22:08 +0100

pqiv (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/clean: No longer removing pqiv.1.
  * debian/control: Now Build-Depends: libgtk-3-dev.
  * debian/copyright: Updated for upstream switched to GPL-3.
  * debian/patches/03_binary_name.diff: Updated for newer upstream release.
  * debian/patches/04_unknown_option.diff: Added to tolerate unknown options.
  * debian/patches/05_ldflags.diff: Added to fix lintian hardening-no-relro.
  * debian/watch: Following changes at github.

 -- Bart Martens <bartm@debian.org>  Mon, 16 Sep 2013 18:46:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: extra
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, autotools-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libgtk-3-dev, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.pberndt.com/Programme/Linux/pqiv/
 
 Package: pqiv

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --binary-name=pqiv

## pqiv 2.2

=== Makefile ===
CFLAGS=-O2 -g
CROSS=
DESTDIR=
GTK_VERSION=0
PQIV_WARNING_FLAGS=-Wall -Wextra -Wfloat-equal -Wpointer-arith -Wcast-align -Wstrict-overflow=5 -Wwrite-strings -Waggregate-return -Wunreachable-code -Wno-unused-parameter
PREFIX=/usr
MANDIR=$(PREFIX)/share/man
EXECUTABLE_EXTENSION=
PKG_CONFIG=$(CROSS)pkg-config

ifeq ($(wildcard config.make),config.make)
	include config.make
endif

LIBS_GTK3=gtk+-3.0 gdk-3.0 glib-2.0 >= 2.8 cairo >= 1.6 gio-2.0 gdk-pixbuf-2.0 >= 2.2
LIBS_GTK2=gtk+-2.0 >= 2.6 gdk-2.0 >= 2.8 glib-2.0 >= 2.8 cairo >= 1.6 gio-2.0 gdk-pixbuf-2.0 >= 2.2

ifeq ($(GTK_VERSION), 0)
	ifeq ($(shell $(PKG_CONFIG) --errors-to-stdout --print-errors "$(LIBS_GTK3)"), )
		LIBS=$(LIBS_GTK3)
	else
		LIBS=$(LIBS_GTK2)
	endif
endif
ifeq ($(GTK_VERSION), 2)
	LIBS=$(LIBS_GTK2)
endif
ifeq ($(GTK_VERSION), 3)
	LIBS=$(LIBS_GTK3)
endif

all: pqiv$(EXECUTABLE_EXTENSION)

pqiv$(EXECUTABLE_EXTENSION): pqiv.c lib/strnatcmp.o lib/bostree.o
	$(CROSS)$(CC) $(CPPFLAGS) $(PQIV_WARNING_FLAGS) -std=gnu99 -o $@ `$(PKG_CONFIG) --cflags "$(LIBS)"` $+ `$(PKG_CONFIG) --libs "$(LIBS)"` $(CFLAGS) $(LDFLAGS)

lib/strnatcmp.o: lib/strnatcmp.c
	$(CROSS)$(CC) $(CPPFLAGS) -c -o $@ $+ $(CFLAGS)

lib/bostree.o: lib/bostree.c
	$(CROSS)$(CC) $(CPPFLAGS) -DNDEBUG -c -o $@ $+ $(CFLAGS)

install: pqiv$(EXECUTABLE_EXTENSION)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install pqiv$(EXECUTABLE_EXTENSION) $(DESTDIR)$(PREFIX)/bin/pqiv$(EXECUTABLE_EXTENSION)
	-mkdir -p $(DESTDIR)$(MANDIR)/man1
	-install pqiv.1 $(DESTDIR)$(MANDIR)/man1/pqiv.1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/pqiv$(EXECUTABLE_EXTENSION)
	rm -f $(DESTDIR)$(MANDIR)/man1/pqiv.1

clean:
	rm -f pqiv$(EXECUTABLE_EXTENSION) lib/strnatcmp.o lib/bostree.o

distclean: clean
	rm -f config.make

=== debian/changelog ===
pqiv (2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2014 13:31:20 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d*)$/~$1/ \
https://github.com/phillipberndt/pqiv/releases \
.*[^n]/(?:|v|r|REL_|rel-|pqiv(?:_|-))(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pqiv 2.6

=== debian/changelog ===
pqiv (2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/04_unknown_option.diff: Updated.
  * debian/control: Standards-Version: 3.9.8.

 -- Bart Martens <bartm@debian.org>  Thu, 04 Aug 2016 18:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bart Martens <bartm@debian.org>
 Build-Depends: debhelper (>= 9), libgtk-3-dev, autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.pberndt.com/Programme/Linux/pqiv/
 
 Package: pqiv

## pqiv 2.10.4

=== debian/changelog ===
pqiv (2.10.4-1) unstable; urgency=medium

  * New maintainer.
  * New upstream release.
    - Includes desktop file (Closes: #873111)
  * debian/patches/04_unknown_option.diff: Removed, no longer required.
  * debian/control: Updated description and URL, add optional dependencies.
  * debian/rules: Compile all backends as shared libraries on Linux.
    (Closes: #856166)

 -- Phillip Berndt <mail@pberndt.com>  Mon, 23 Apr 2018 19:30:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Do not abbreviate make's output
export VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@


override_dh_auto_configure:
	./configure --backends-build=shared

override_dh_shlibdeps:
	dh_shlibdeps -Xlib
	dh_shlibdeps -Xbin -- -precommends

## pqiv 2.11

=== debian/changelog ===
pqiv (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTCBFS: (Closes: #913589)
    + Pass --cross to ./configure.

 -- Phillip Berndt <mail@pberndt.com>  Fri, 30 Nov 2018 21:44:46 +0100

=== debian/control ===
Source: pqiv
Section: graphics
Priority: optional
Maintainer: Phillip Berndt <mail@pberndt.com>
Build-Depends: debhelper (>= 10), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
Standards-Version: 4.1.4
Homepage: https://github.com/phillipberndt/pqiv
Vcs-Git: https://salsa.debian.org/pberndt-guest/pqiv.git
Vcs-Browser: https://salsa.debian.org/pberndt-guest/pqiv

Package: pqiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${recommends:Depends}
Description: Powerful image viewer with minimal UI
 pqiv is a powerful GTK 3 based command-line image viewer with a minimal UI. It
 is highly customizable, can be fully controlled from scripts, and has support
 for various file formats including PDF, Postscript, video files and archives.
 It is optimized to be quick and responsive.
 .
 It comes with support for animations, slideshows, transparency, VIM-like key
 bindings, automated loading of new images as they appear, external image
 filters, image preloading, and much more.
 .
 pqiv started as a Python rewrite of qiv avoiding imlib, but evolved into a
 much more powerful tool. Today, pqiv stands for powerful quick image viewer.

## pqiv 2.12

=== debian/changelog ===
pqiv (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Adjust gbp tag format to allow automated imports.
  * Bump Debian standards version to 4.5.1
  * Bump debhelper standard to 12
  * Add Lintian override for pixbuf backend not depending on libc.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Phillip Berndt <mail@pberndt.com>  Sun, 29 Nov 2020 12:26:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Phillip Berndt <mail@pberndt.com>
-Build-Depends: debhelper (>= 10), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 12), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
+Standards-Version: 4.5.1
 Homepage: https://github.com/phillipberndt/pqiv
 Vcs-Git: https://salsa.debian.org/pberndt-guest/pqiv.git
 Vcs-Browser: https://salsa.debian.org/pberndt-guest/pqiv

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,17 @@
 export VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+include /usr/share/dpkg/architecture.mk
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_FLAGS += --cross=$(DEB_HOST_GNU_TYPE)
+endif
+
 %:
 	dh $@
 
 
 override_dh_auto_configure:
-	./configure --backends-build=shared
+	./configure --backends-build=shared $(CONFIGURE_FLAGS)
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Xlib

## pqiv 2.13.1

=== debian/changelog ===
pqiv (2.13.1-1build1) oracular; urgency=medium

  * No-change rebuild for ffmpeg transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Sep 2024 13:57:44 +0200

pqiv (2.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Phillip Berndt <mail@pberndt.com>  Mon, 11 Mar 2024 21:16:55 +0100

pqiv (2.12-2) unstable; urgency=medium

  * Update lintian override info format in d/pqiv.lintian-overrides on line 1.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.1, no changes needed.

 -- Phillip Berndt <mail@pberndt.com>  Sun, 18 Feb 2024 12:36:00 +0000

## pqiv 2.13.2

=== debian/changelog ===
pqiv (2.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Phillip Berndt <mail@pberndt.com>  Mon, 20 Jan 2025 20:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Phillip Berndt <mail@pberndt.com>
-Build-Depends: debhelper (>= 12), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/phillipberndt/pqiv
 Vcs-Git: https://salsa.debian.org/pberndt-guest/pqiv.git
 Vcs-Browser: https://salsa.debian.org/pberndt-guest/pqiv

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/phillipberndt/pqiv/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## pqiv 2.13.3

=== debian/changelog ===
pqiv (2.13.3-1) unstable; urgency=medium

  * New upstream release
  * Adds ffmpeg 8 compatibility (Closes: #1115057)
  * Bump debhelper standard to 13

 -- Phillip Berndt <mail@pberndt.com>  Fri, 14 Nov 2025 20:22:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Phillip Berndt <mail@pberndt.com>
-Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
+Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libmagickwand-dev, libarchive-dev, libpoppler-glib-dev, libavformat-dev, libavcodec-dev, libswscale-dev, libavutil-dev, libwebp-dev
 Standards-Version: 4.6.1
 Homepage: https://github.com/phillipberndt/pqiv
 Vcs-Git: https://salsa.debian.org/pberndt-guest/pqiv.git
